//
//  MenuTestingViewController.m
//  MenuTesting
//
//  Created by Alex Nichol on 9/2/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MenuTestingViewController.h"

@implementation MenuTestingViewController

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (BOOL)canBecomeFirstResponder {
	return YES;
}

- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
	CGPoint tapPoint = [[touches anyObject] locationInView:self.view];
	[self becomeFirstResponder];
	UIMenuItem * item1 = [[UIMenuItem alloc] initWithTitle:@"Fish" action:@selector(fish)];
	UIMenuItem * item2 = [[UIMenuItem alloc] initWithTitle:@"Stripes" action:@selector(stripes)];
	UIMenuItem * item3 = [[UIMenuItem alloc] initWithTitle:@"Grass" action:@selector(grass)];
	
	UIMenuController * controller = [UIMenuController sharedMenuController];
	[controller setMenuItems:[NSArray arrayWithObjects:item1, item2, item3, nil]];
	[controller setTargetRect:CGRectMake(tapPoint.x, tapPoint.y, 1, 1) inView:self.view];
	[controller setMenuVisible:YES animated:YES];
	
	[item1 release];
	[item2 release];
	[item3 release];
}

- (void)fish {
	[imageView setImage:[UIImage imageNamed:@"fish.png"]];
}

- (void)stripes {
	[imageView setImage:[UIImage imageNamed:@"stripes.png"]];
}

- (void)grass {
	[imageView setImage:[UIImage imageNamed:@"grass.png"]];
}

- (BOOL)canPerformAction:(SEL)action withSender:(id)sender {
	if (action == @selector(fish)) {
		return YES;
	}
	if (action == @selector(stripes)) {
		return YES;
	}
	if (action == @selector(grass)) {
		return YES;
	}
	return NO;
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
